<?php
if (isset($_SERVER['HTTP_ORIGIN'])) {
		header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
		header('Access-Control-Allow-Credentials: true');
		header('Access-Control-Max-Age: 86400');
		header('Access-Control-Allow-Headers: Range');
		header('Access-Control-Expose-Headers: Accept-Ranges, Content-Encoding, Content-Length, Content-Range');
	}if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

	if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
		header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

	if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
		header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");
		exit(0); 
	}
	
if(!isset($_GET['oid']) || !isset($_GET['db'])) die();

require __DIR__ . '/vendor/autoload.php';

$DB_INDEX = array(
	'DB_DATABASE1',
	'DB_DATABASE2'
);

$REPORT_NAMES = array('HoReCa', 'Sličice');

$REPORT_NAME = $REPORT_NAMES[$_GET['db']];

require_once '../db.php';

$db_conn = openConection($DB_INDEX[$_GET['db']]);
		
if(!$result = $db_conn->query('select id,order_number,json,date from orders where id = '.$_GET['oid'].' limit 1')){
	error_log( $db_conn->error);
	die();
}

$row = $result->fetch_object();

$data = json_decode($row->json, true);

$data['id'] = $row->order_number;
$data['date'] = $row->date;

ob_start();

include('order_template.php');

$html = ob_get_contents();

ob_end_clean();

$mpdf = new \Mpdf\Mpdf([
        'mode' => 'utf-8', 
        'format' => 'A4', 
        'orientation' => 'P'
]);

$mpdf->WriteHTML(mb_convert_encoding($html, 'UTF-8', 'UTF-8'));

$mpdf->Output('narudzba-'.$row->order_number.'.pdf' ,'I');
