<html>
<head>
	<meta charset="UTF-8">
	<style>
		body {
			padding: 20px;
			padding-left: 50px;
			padding-right: 50px;
			font-family: Sans-serif;
		}
		.container {
			text-align: left;
			margin: 0px auto;
			padding: 0px;
			border:0;
		}
		.one {
			float: left;
			width: 300px;
		}
		.two {
			margin: 0;
			float: right;
			width: 300px;
		}
		.header{
			text-align: left;
			height: 20px;
			padding:5px;
			border: 2px solid #ddd;
			color:black;
		}
		p{
			margin: 0;
			padding: 0;
		}
		#customers {
			font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
			border-collapse: collapse;
			width: 100%;
		}

		#customers td, #customers th {
			border: 1px solid #ddd;
			padding: 8px;
		}
		
		#customers th {
			padding-top: 12px;
			padding-bottom: 12px;
			text-align: left;
			color: black;
		}
	</style>
</head>
<body>
	<h1 align="center">PLIVAČ DOO - <?php echo $REPORT_NAME; ?></h1>
	<div class="container">
		<div class="one">
			<h5 class="header">KOMERCIJALISTA</h5>
			<p style="margin-bottom: 2px"><?php echo $data['commercialist']; ?></p>
			<p>DATUM: <?php echo isset($data['date']) ? $data['date'] : date("d/m/Y"); ?></p>
			<br>
		</div>
		<div class="two">
			<h5 class="header">KUPAC</h5>
			<p style="margin-bottom: 2px">KUPAC: <?php echo $data['customer']['name']; ?></p>
			<p style="margin-bottom: 2px">KONTAKT: <?php echo $data['customer']['contact_person'].' '.$data['customer']['phone_number']; ?></p>
			<p style="margin-bottom: 2px">MJESTO: <?php echo $data['customer']['location']; ?></p>
			<p style="margin-bottom: 2px">OPIS: <?php echo $data['customer']['description']; ?></p>
			<p style="margin-bottom: 2px">NAČIN PLAĆANJA: <?php echo $data['paymentMethod']; ?></p>
		</div>
	</div>
	<div>
	<br>
	<h2 align="center">NARUDŽBA <?php echo $data['id']; ?> / <?php echo isset($data['date']) ? substr($data['date'], count($data['date']) -3) : substr(date("d/m/Y"), count(date("d/m/Y")) -3); ?></h2>
	<br>
	</div>
	<table id="customers">
	  <tr>
		<th></th>
		<th>ARTIKAL</th> 
		<th>KOLIČINA</th>
		<th>CIJENA</th>
	  </tr>
	  <?php 
		for($i = 0; $i < count($data['articles']); $i++){
			echo '<tr>';
			echo '<td>'.($i + 1).'</td>';
			echo '<td>'.$data['articles'][$i]['name'].'</td>';
			echo '<td>'.$data['articles'][$i]['quantity'].'</td>';
			echo '<td>'.$data['articles'][$i]['price'].'</td>';
			echo '</tr>';
		}
	  ?>
	</table>
	<br>
	<div style="position:absolute; bottom: 50px; left: 55px; right:55px;">
		<div style="margin-left:500px">
			<p><strong>UKUPNO: <?php echo $data['sub_total']; ?> KM</strong></p>
		</div>
		<br>
		<?php if($data['note'] != ''){ ?>
		<div style="border: 1px solid #ddd; padding: 5px;">
			<p>NAPOMENA: <?php echo $data['note']; ?></p>
		</div>
		<?php } ?>
		<br>
		<div style="margin-left:500px">
			<p><strong>PREUZEO:</strong></p>
		</div>
	</div>
</body>
</html>